Subject: [Wocky] jabber for web browsers?

From: Ken Raeburn <[email-masked]>
Date: Thu, 22 Dec 2005 19:07:28 -0500

Is anyone looking at web-based solutions for people unable to install  
software on systems?  (E.g., one friend of mine at a company where  
policy forbids it; borrowing a friend's laptop and not wanting to  
mess around with the configuration.)

There seem to be a couple of approaches in freeware that wouldn't  
require sending the user's password off to some third-party site.  If  
I'm reading it right, JabberApplet lets you install on your web  
server Java code that a browser can run to connect back to a Jabber  
server on the same server host.  Then there's JWChat, which appears  
to be an AJAX-based web interface, which on the back end plugs into  
your Jabber server.

I don't know anything more about them, like whether they'd be  
practical for us to use securely, but having a friend I'd like to  
chat with who can't install software on her machine at work, I'm  
getting interested in the issue...

Ken